Debian Bug report logs - #596103
libdbd-pg-ruby1.9.1: db.select_all(query) returns last row several times

version graph

Package: libdbd-pg-ruby1.9.1; Maintainer for libdbd-pg-ruby1.9.1 is Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>; Source for libdbd-pg-ruby1.9.1 is src:ruby-dbd-pg.

Reported by: Alexander Neumann <alexander@debian.org>

Date: Wed, 8 Sep 2010 17:21:01 UTC

Severity: important

Tags: upstream

Fixed in version ruby-dbi/0.4.5-1

Done: Dmitry Borodaenko <angdraug@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dmitry Borodaenko <angdraug@debian.org>:
Bug#596103; Package libdbd-pg-ruby1.9.1. (Wed, 08 Sep 2010 17:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Neumann <alexander@debian.org>:
New Bug report received and forwarded. Copy sent to Dmitry Borodaenko <angdraug@debian.org>. (Wed, 08 Sep 2010 17:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alexander Neumann <alexander@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libdbd-pg-ruby1.9.1: db.select_all(query) returns last row several times
Date: Wed, 8 Sep 2010 19:00:21 +0200
[Message part 1 (text/plain, inline)]
Package: libdbd-pg-ruby1.9.1
Version: 0.3.9-1
Severity: important
Tags: squeeze sid

Hi,

libdbd-pg-ruby1.9.1 (used with ruby1.9.1) always returns the last row of a
set of rows.

Example:

$ cat test.rb
    require 'dbi'
    
    db = DBI.connect('DBI:Pg:template1', ARGV.shift || ENV['USER'])
    db.select_all('SELECT * FROM pg_database').each do |row|
        p row
    end
    
$ ruby1.8 test.rb
["template1", "10", 6, "en_US.UTF-8", "en_US.UTF-8", true, true, -1, "11563", "648", "1663", nil, ["=c/postgres", "postgres=CTc/postgres"]]
["template0", "10", 6, "en_US.UTF-8", "en_US.UTF-8", true, false, -1, "11563", "648", "1663", nil, ["=c/postgres", "postgres=CTc/postgres"]]
["postgres", "10", 6, "en_US.UTF-8", "en_US.UTF-8", false, true, -1, "11563", "648", "1663", nil, nil]
["twitter", "16384", 6, "en_US.UTF-8", "en_US.UTF-8", false, true, -1, "11563", "648", "1663", nil, nil]
["schnucki", "16384", 6, "en_US.UTF-8", "en_US.UTF-8", false, true, -1, "11563", "648", "1663", nil, nil]
["test", "16384", 6, "en_US.UTF-8", "en_US.UTF-8", false, true, -1, "11563", "648", "1663", nil, nil]

$ ruby1.9.1 test.rb
["test", "16384", 6, "en_US.UTF-8", "en_US.UTF-8", false, true, -1, "11563", "648", "1663", nil, nil]
["test", "16384", 6, "en_US.UTF-8", "en_US.UTF-8", false, true, -1, "11563", "648", "1663", nil, nil]
["test", "16384", 6, "en_US.UTF-8", "en_US.UTF-8", false, true, -1, "11563", "648", "1663", nil, nil]
["test", "16384", 6, "en_US.UTF-8", "en_US.UTF-8", false, true, -1, "11563", "648", "1663", nil, nil]
["test", "16384", 6, "en_US.UTF-8", "en_US.UTF-8", false, true, -1, "11563", "648", "1663", nil, nil]
["test", "16384", 6, "en_US.UTF-8", "en_US.UTF-8", false, true, -1, "11563", "648", "1663", nil, nil]

The underlying driver, Pg, works fine:

$ cat test2.rb
    require 'pg'
    
    db = PGconn.open('dbname=template1')
    res = db.exec('select * from pg_database;')
    res.to_a.each do |row|
        p row['datname']
    end

$ ruby1.9.1 test2.rb
"template1"
"template0"
"postgres"
"twitter"
"schnucki"
"test"

This renders the dbi adapter unusable for me (and I suspect for others, too).

Regards,
- Alexander

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libdbd-pg-ruby1.9.1 depends on:
ii  libdbi-ruby1.9.1              0.4.3-2    Database Independent Interface for
ii  libpgsql-ruby1.9.1            0.8.0-1.1  PostgreSQL interface for Ruby 1.9.

libdbd-pg-ruby1.9.1 recommends no packages.

libdbd-pg-ruby1.9.1 suggests no packages.

-- no debconf information
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dmitry Borodaenko <angdraug@debian.org>:
Bug#596103; Package libdbd-pg-ruby1.9.1. (Sat, 12 Feb 2011 11:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Borodaenko <angdraug@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dmitry Borodaenko <angdraug@debian.org>. (Sat, 12 Feb 2011 11:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 596103@bugs.debian.org (full text, mbox):

From: Dmitry Borodaenko <angdraug@gmail.com>
To: 596103@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#596103: libdbd-pg-ruby1.9.1: db.select_all(query) returns last row several times
Date: Sat, 12 Feb 2011 11:50:26 +0000
tags 596103 upstream
thanks

This bug was reported upstream:
http://rubyforge.org/tracker/index.php?func=detail&aid=28624&group_id=234&atid=967

There's no known fix for this, comments and patches are welcome.

--
Dmitry Borodaenko




Added tag(s) upstream. Request was from Dmitry Borodaenko <angdraug@gmail.com> to control@bugs.debian.org. (Sat, 12 Feb 2011 11:54:05 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:41 GMT) Full text and rfc822 format available.

Reply sent to Dmitry Borodaenko <angdraug@debian.org>:
You have taken responsibility. (Wed, 14 Sep 2011 18:06:03 GMT) Full text and rfc822 format available.

Notification sent to Alexander Neumann <alexander@debian.org>:
Bug acknowledged by developer. (Wed, 14 Sep 2011 18:06:03 GMT) Full text and rfc822 format available.

Message #19 received at 596103-close@bugs.debian.org (full text, mbox):

From: Dmitry Borodaenko <angdraug@debian.org>
To: 596103-close@bugs.debian.org
Subject: Bug#596103: fixed in ruby-dbi 0.4.5-1
Date: Wed, 14 Sep 2011 18:03:22 +0000
Source: ruby-dbi
Source-Version: 0.4.5-1

We believe that the bug you reported is fixed in the latest version of
ruby-dbi, which is due to be installed in the Debian FTP archive:

libdbi-ruby1.8_0.4.5-1_all.deb
  to main/r/ruby-dbi/libdbi-ruby1.8_0.4.5-1_all.deb
libdbi-ruby1.9.1_0.4.5-1_all.deb
  to main/r/ruby-dbi/libdbi-ruby1.9.1_0.4.5-1_all.deb
libdbi-ruby_0.4.5-1_all.deb
  to main/r/ruby-dbi/libdbi-ruby_0.4.5-1_all.deb
ruby-dbi_0.4.5-1.debian.tar.gz
  to main/r/ruby-dbi/ruby-dbi_0.4.5-1.debian.tar.gz
ruby-dbi_0.4.5-1.dsc
  to main/r/ruby-dbi/ruby-dbi_0.4.5-1.dsc
ruby-dbi_0.4.5-1_all.deb
  to main/r/ruby-dbi/ruby-dbi_0.4.5-1_all.deb
ruby-dbi_0.4.5.orig.tar.gz
  to main/r/ruby-dbi/ruby-dbi_0.4.5.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 596103@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dmitry Borodaenko <angdraug@debian.org> (supplier of updated ruby-dbi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 13 Sep 2011 19:56:23 +0300
Source: ruby-dbi
Binary: ruby-dbi libdbi-ruby libdbi-ruby1.8 libdbi-ruby1.9.1
Architecture: source all
Version: 0.4.5-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Dmitry Borodaenko <angdraug@debian.org>
Description: 
 libdbi-ruby - Transitional package for ruby-dbi
 libdbi-ruby1.8 - Transitional package for ruby-dbi
 libdbi-ruby1.9.1 - Transitional package for ruby-dbi
 ruby-dbi   - Database Independent Interface for Ruby
Closes: 596103 631849 631851 637794
Changes: 
 ruby-dbi (0.4.5-1) unstable; urgency=low
 .
   * New upstream version.
   * Switch to gem2deb-based packaging:
     - source and binary packages renamed to ruby-dbi
     - transitional packages added
     - source format changed to 3.0 (quilt).
   * Redirect watch file to rubygems.org (no 0.4.5 tag on GitHub).
   * New patches:
     - remove usage of rubygems
     - don't test for all drivers to be installed during build
     - don't install dbi and test_broken_dbi executables
     - include GitHub pull request #8 to use ruby-deprecated 3.0.0
       (Closes: #631849, #631851)
     - include GitHub pull request #7 Ruby 1.9 compatibility fixes
       (Closes: #596103, #637794).
Checksums-Sha1: 
 e217d54e69d87f5048fe7b5ee72fd3a212d03673 1358 ruby-dbi_0.4.5-1.dsc
 9db065b2af24fcab9adbb6524b7965a83df21606 69295 ruby-dbi_0.4.5.orig.tar.gz
 8d77c84e34692bf5d7358dcc9e3f681896a694c4 13219 ruby-dbi_0.4.5-1.debian.tar.gz
 6e70dd70c977b6d0107c29e03f13c1bc3dd69d7c 123176 ruby-dbi_0.4.5-1_all.deb
 6759b4b60778669fe871fc0ba7882151cdc5ddb8 32358 libdbi-ruby_0.4.5-1_all.deb
 c9eeac18d4f0b2a3adec46de4cbaac7cd2805ed8 32360 libdbi-ruby1.8_0.4.5-1_all.deb
 f6f512e25c1cdb1f1f0f404d9a1d4fad4a81bb33 32364 libdbi-ruby1.9.1_0.4.5-1_all.deb
Checksums-Sha256: 
 5ade7daf3eaffdab6cdc434e7c45dbe75fc0fbf2b3077ab905719b3cfd65cfb6 1358 ruby-dbi_0.4.5-1.dsc
 a33176ddaca644dac799d7e78e592dc80193eb4bfa4636db492985184da0d50c 69295 ruby-dbi_0.4.5.orig.tar.gz
 9ef046c621a68cd3b267c0a46c4a47ecd7b87333737b33d8e9a8249c5616d23d 13219 ruby-dbi_0.4.5-1.debian.tar.gz
 6128ac25f4243da126a8b146218414459adc8ac1c9a9466b8cf61e9032143792 123176 ruby-dbi_0.4.5-1_all.deb
 4edf185fbc792396e10c0f34710ff2dd684ddabe4d2bfdb505a1357304a2f37e 32358 libdbi-ruby_0.4.5-1_all.deb
 5cbc67f13bc8ec638d430b39d11e35d3d5713035a9698e6517ab681a4e2ce5c1 32360 libdbi-ruby1.8_0.4.5-1_all.deb
 05e5ccc2d83d4b997159d5b2b0a900547c986b1356ec5b4ab3dbcb62aeacc3bb 32364 libdbi-ruby1.9.1_0.4.5-1_all.deb
Files: 
 776f0d1e671d456263438cafbff9bf3c 1358 ruby optional ruby-dbi_0.4.5-1.dsc
 de83ab83871514f7efe0a2912c4cba83 69295 ruby optional ruby-dbi_0.4.5.orig.tar.gz
 017998b0d08e5d25b934e5b6efdedd75 13219 ruby optional ruby-dbi_0.4.5-1.debian.tar.gz
 92d3c019ac6a069390e7089b640bd4ea 123176 ruby optional ruby-dbi_0.4.5-1_all.deb
 ac22c6be3ae275ef601ac8112ddd77a1 32358 oldlibs optional libdbi-ruby_0.4.5-1_all.deb
 d2a29ffef8dada9d1065b287cea1b689 32360 oldlibs optional libdbi-ruby1.8_0.4.5-1_all.deb
 deccb978b6d51ea7fd560ae987552fa8 32364 oldlibs optional libdbi-ruby1.9.1_0.4.5-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEAREIAAYFAk5vj2oACgkQxhqJXoXuPg4FtwCdFpH9MSwGmbzDVN0WPNAYAOll
lmIAoK9coTP+Vsvz454HEFvJbcw1WFQA
=WH5/
-----END PGP SIGNATURE-----





Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:36:25 GMT) Full text and rfc822 format available.

Removed tag(s) sid, squeeze, wheezy, and jessie. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:48 GMT) Full text and rfc822 format available.

No longer marked as found in versions libdbd-pg-ruby/0.3.9-1. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sun, 24 Nov 2013 20:41:18 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 23 Dec 2013 07:25:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:12:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.